\documentclass[a4,DIV22,BCOR1.5cm,10pt,twoside,headsepline,footnosepline,notitlepage,nochapterprefix,noappendixprefix]{scrreprt}
%\usepackage[colorlinks=true,urlcolor=blue,breaklinks=false]{hyperref}
\usepackage[colorlinks=true,urlcolor=black,linkcolor=black,breaklinks=false]{hyperref}
\usepackage{booktabs}				% better tables
\usepackage{scrpage}				% changing pagestyle
\usepackage{tocloft}				% better table of contents
\usepackage{times}				% nicer fonts
\usepackage[utf8]{inputenc}
\usepackage{tabularx}
\usepackage{graphicx}
\usepackage{times}
\usepackage{graphicx}

\usepackage{xspace}             % For automated-testing
\usepackage{eurosans}           % For balloon


% href doesn't work well when printing, we'll make a footnote from href's
\renewcommand{\href}[2]{#2\footnote{\url{#1}}}

\renewcommand{\tabularxcolumn}[1]{>{\raggedleft\arraybackslash}p{#1}}

% Lets redefine the pagestyle a bit.
\renewpagestyle{headings}{(\textwidth,0pt)%
                         {\pagemark\hfill\headmark}{\headmark\hfill\pagemark}{\hfill\headmark\hfill}%
                         (\textwidth,.8pt)}%
                         {(\textwidth,0pt)%
                         {\hfill}%
                         {\hfill}%
                         (\textwidth,0pt)}% 
\renewpagestyle{plain}{(\textwidth,0pt)%
                         {\pagemark\hfill\headmark}{\headmark\hfill\pagemark}{\hfill\headmark\hfill}%
                         (\textwidth,.8pt)}%
                         {(\textwidth,0pt)%
                         {\hfill}%
                         {\hfill}%
                         (\textwidth,0pt)}% 
\pagestyle{headings}                      % and activate it
%\setcounter{secnumdepth}{-1}
\setcounter{tocdepth}{1}

\tolerance=5000                           % Settings for linebreaks and pagebreaks
\emergencystretch=20pt
\clubpenalty=10000
\widowpenalty=10000
\tabcolsep3pt
\setlength{\cftbeforetoctitleskip}{0.2em}
\setlength{\cftaftertoctitleskip}{0.2em} 
\setlength{\cftbeforelottitleskip}{0.2em}
\setlength{\cftbeforeloftitleskip}{0.2em}
\setlength{\cftafterloftitleskip}{0.2em}
\setlength{\cftpartnumwidth}{2.5em}

\renewcommand*{\partpagestyle}{empty}
\renewcommand*{\titlepagestyle}{empty}

\begin{document}

%\begin{center}
%\vspace*{0.07\textheight}
%\includegraphics[width=0.8\textwidth]{images/logo-printing.pdf}
%\end{center}
%\thispagestyle{empty}

%\newpage

\pagestyle{empty}
\renewcommand*{\chapterpagestyle}{empty}
\setcounter{page}{3}
\tableofcontents
\vfill
\sloppy
\clearpage
\pagestyle{headings}
\renewcommand*{\chapterpagestyle}{plain}

\part{Papers}

\chapter[Automated Testing of Debian Packages: Status Update]
  {Automated Testing of Debian Packages: Status Update}
  \small{by Lucas Nussbaum\\ \texttt{lucas@debian.org}}
\input{63-automated-testing/paper}

\chapter[Balloon Open Hardware Licence]
  {Balloon Open Hardware Licence}
  \small{by Wookey\\ \texttt{wookey@wookware.org}}
\input {108-balloon/paper}

\chapter[Debtags is ready]
  {Debtags is ready}
  \small{by Enrico Zini\\ \texttt{enrico@debian.org}}
\input {23-debtags/paper}

\chapter[Discussing pbuilder]
  {Discussing pbuilder}
  \small{by Junichi Uekawa}
\input{64-pbuilder/paper}

\chapter[emdebian: Update on Embedded Debian tools]
  {emdebian: Update on Embedded Debian tools}
  \small{by  Neil Williams}
\input{30-emdebian/paper}

\chapter[Resurrecting ``cruft''\\{\small A~tool for cleaning up the system and finding packaging bugs}]
  {Resurrecting ``cruft''\\{\small A~tool for cleaning up the system and finding packaging bugs}}
 \small{by Marcin~Owsiany}
\input{60-cruft/paper}

\chapter[Selecting, developing and deploying Debian-based IT solutions in the Venezuelan migration process]
  {Selecting, developing and deploying Debian-based IT solutions in the Venezuelan migration process\\
  \small{by Jos\'e Miguel Parrella Romero -- Ministerio de Ciencia y Tecnolog\'ia}}
\input{40-venezuelan-migration/paper}

\chapter[The New ARM ABI (EABI)]
  {The New ARM ABI (EABI) -- Debian armel Port}
  \small{by Wookey \\ \texttt{wookey@wookware.org}}
\input {103-armabi/paper}

\chapter[debian-community.org]
  {debian-community.org - about, status and future}
  \small{by Holger Levsen \\ \texttt{holger@layer-acht.org}}
\input {72-community/paper}

\part{Abstracts}
\chapter{(Incomplete) list of other sessions}
This part contains the titles and appendices of sessions for
which no paper was submitted and which were available at the time of printing..

\input{other.tex}

\appendix
\part{Appendices}
\chapter{Copyright notices}
\input{copyright}

\chapter{Credits}
\input{credits}
\end{document}
